﻿<Window x:Class="Stratego_GUI.GameWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:local="clr-namespace:Stratego_GUI"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        mc:Ignorable="d"
        Height="474"
        Title="GameWindow"
        Width="961">

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="360"/>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="150"/>
        </Grid.ColumnDefinitions>

        <!-- Lewy panel - Nowa gra -->
        <Grid
            Grid.Column="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
            <Label
                Content="Stratego"
                FontSize="20"
                Grid.Row="0"
                HorizontalContentAlignment="Center"/>
            <Grid
                Grid.Row="1">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="140"/>
                    <ColumnDefinition Width="68"/>
                    <ColumnDefinition Width="100"/>
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>

                <Label
                    Content="Gracz 1:"
                    Grid.Column="0"
                    Grid.Row="0"/>
                <Label
                    Content="Gracz 2:"
                    Grid.Column="0"
                    Grid.Row="1"/>

                <ComboBox
                    Name="Player1TypeComboBox"
                    Grid.Column="1"
                    Grid.Row="0" 
                    SelectedIndex="0"
                    SelectionChanged="PlayerTypeChanged">
                    <ComboBoxItem Content="Człowiek"/>
                    <ComboBoxItem Content="Bot - Random"/>
                    <ComboBoxItem Content="Bot - Greedy"/>
                    <ComboBoxItem Content="Bot - Minimax"/>
                    <ComboBoxItem Content="Bot - MinimaxLinq"/>
                    <ComboBoxItem Content="Bot - AlphaBeta"/>
                    <ComboBoxItem Content="Bot - AlphaBetaLinq"/>
                    <ComboBoxItem Content="Hybrid"/>
                </ComboBox>
                <ComboBox
                    Name="Player2TypeComboBox"
                    Grid.Column="1"
                    Grid.Row="1"
                    SelectedIndex="0"
                    SelectionChanged="PlayerTypeChanged">
                    <ComboBoxItem Content="Człowiek"/>
                    <ComboBoxItem Content="Bot - Random"/>
                    <ComboBoxItem Content="Bot - Greedy"/>
                    <ComboBoxItem Content="Bot - Minimax"/>
                    <ComboBoxItem Content="Bot - MinimaxLinq"/>
                    <ComboBoxItem Content="Bot - AlphaBeta"/>
                    <ComboBoxItem Content="Bot - AlphaBetaLinq"/>
                    <ComboBoxItem Content="Hybrid"/>
                </ComboBox>

                <Label
                    Name="Player1AdditionalValueLabel"
                    Content="Imię:"
                    Grid.Column="2"
                    Grid.Row="0"/>
                <Label
                    Name="Player2AdditionalValueLabel"
                    Content="Imię:"
                    Grid.Column="2"
                    Grid.Row="1"/>

                <TextBox
                    Name="Player1AdditionalValueTextBox"
                    Grid.Column="3"
                    Grid.Row="0"
                    VerticalContentAlignment="Center"/>
                <TextBox
                    Name="Player2AdditionalValueTextBox"
                    Grid.Column="3"
                    Grid.Row="1"
                    VerticalContentAlignment="Center"/>
            </Grid>
            <StackPanel
                Grid.Row="2"
                HorizontalAlignment="Center"
                Orientation="Horizontal">
                <Label
                    Content="Rozmiar planszy:"/>
                <TextBox
                    Name="BoardSizeTextBox"
                    HorizontalContentAlignment="Center"
                    VerticalContentAlignment="Center"
                    Width="30"/>
            </StackPanel>
            <Button
                Content="Start!"
                Grid.Row="3"
                Height="25"
                Margin="5" Click="StartButtonClick"/>
        </Grid>

        <!-- Środkowy panel - plansza -->
        <Grid
            Name="BoardGrid" 
            Grid.Column="1"/>

        <!-- Prawy panel - stan gry -->
        <Grid
            Grid.Column="2">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>

            <Grid
                Grid.Row="0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>

                <Label
                    Content="Czas gry:"
                    Grid.Column="0"
                    Grid.Row="0"/>
                <Label
                    Name="TimeLabel"
                    Content="00:00"
                    Grid.Column="1"
                    Grid.Row="0"/>

                <Label
                    Content="Gracz 1: "
                    Grid.Column="0"
                    Grid.Row="1"/>
                <Label
                    Name="Player1ScoreLabel"
                    Content="0"
                    Grid.Column="1"
                    Grid.Row="1"/>

                <Label
                    Content="Gracz 2: "
                    Grid.Column="0"
                    Grid.Row="2"/>
                <Label
                    Name="Player2ScoreLabel"
                    Content="0"
                    Grid.Column="1"
                    Grid.Row="2"/>
            </Grid>

            <StackPanel
                Grid.Row="1"
                HorizontalAlignment="Center"
                VerticalAlignment="Center">

                <Label
                    Content="Aktualny gracz:"
                    HorizontalContentAlignment="Center"/>
                <Label
                    Name="ActualPlayerLabel"
                    Content="Koniec gry"
                    FontSize="30"
                    HorizontalContentAlignment="Center"/>

            </StackPanel>
        </Grid>

    </Grid>
</Window>